package com.semesterproject.socialmine;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.preference.CheckBoxPreference;
 


/* This class collects privacy settings from UserPrivacyOptions.class
 * and starts the respective Service at bootup is enabled */


public class StartAtBootServiceReceiver extends BroadcastReceiver {
	
	
	@Override
	public void onReceive(Context context, Intent intent) 
	{
		
		/* This only enables the Service if cPhone is true
		 * Somehow the app crashes when I use this code, so I commented it for now
		 * Can you find any mistakes or another way to do this?
		 
		UserPrivacyOptions u = new UserPrivacyOptions();
		CheckBoxPreference cp = u.cPhone;
		
		if (cp.isChecked())	{
			
				if (intent.getAction().equals(Intent.ACTION_BOOT_COMPLETED)) {
			
				Intent i = new Intent();
				i.setAction("com.semesterproject.socialmine.UpdaterService");
				context.startService(i);
			 }		
			
		}*/
		
		
		/* Start UpdaterService at bootup */
		if (intent.getAction().equals(Intent.ACTION_BOOT_COMPLETED)) {
			
			Intent i = new Intent();
			i.setAction("com.semesterproject.socialmine.UpdaterService");
			context.startService(i);
		 }	
		
	
	}
	
	
}