package com.semesterproject.socialmine;


import android.content.Intent;
import android.os.Bundle;
import android.preference.CheckBoxPreference;
import android.preference.Preference;
import android.preference.Preference.OnPreferenceClickListener;
import android.preference.PreferenceActivity;
import android.util.Log;
import android.widget.Toast;
 

/* This is the General Preference Template. I've commented a lot for now. As we proceed, we'll uncommented them one by one.) */


public class UserPrivacyOptions extends PreferenceActivity implements OnPreferenceClickListener {
	

		/* The TAG variable is meant for logging (testing) purposes and can be commented 
	  	private static final String TAG = UserPrivacyOptions.class.getSimpleName();*/

	
    	/* Assign a variable name to every feature i.e. preference */
	  	public CheckBoxPreference cContacts, cEmail, cPhone, cSMS, cFacebook, cTwitter, cYouTube, cGeolocation;
    
    
    	/* The onCreate Method loads all Privacy Options and sets a Listener on the each of them */
    	
        protected void onCreate(Bundle savedInstanceState) {
                super.onCreate(savedInstanceState);

                /* Load graphical layout from res/layout/userprivacyoptions.xml directory */
                addPreferencesFromResource(R.layout.userprivacyoptions);  


                /* Assign variables to the corresponding checkbox given in 'android:key=".."' of userprivacyoptions.xml */
                /*cContacts = (CheckBoxPreference) findPreference("checkboxContacts");
                cEmail = (CheckBoxPreference) findPreference("checkboxEmail");*/
                cPhone = (CheckBoxPreference) findPreference("checkboxPhone");
                /*cSMS = (CheckBoxPreference) findPreference("checkboxSMS");
                cFacebook = (CheckBoxPreference) findPreference("checkboxFacebook");
                cTwitter = (CheckBoxPreference) findPreference("checkboxTwitter");
                cYouTube = (CheckBoxPreference) findPreference("checkboxYouTube");
                cGeolocation = (CheckBoxPreference) findPreference("checkboxGeolocation");

                /* Make all preferences 'listenable', i.e. to check their state and act accordingly */
               /* cContacts.setOnPreferenceClickListener(this); 
                cEmail.setOnPreferenceClickListener(this);*/
                cPhone.setOnPreferenceClickListener(this); 
                /*cSMS.setOnPreferenceClickListener(this);  
                cFacebook.setOnPreferenceClickListener(this);
                cTwitter.setOnPreferenceClickListener(this); 
                cYouTube.setOnPreferenceClickListener(this); 
                cGeolocation.setOnPreferenceClickListener(this);*/
                
                /* Initialize all Services */
                /*if (cContacts.isChecked())
    		  	{
    		      startService(new Intent(this, UpdaterService.class));
    		    } else {			
    		      stopService(new Intent(this, UpdaterService.class));
    		    }
                if (cEmail.isChecked())
    		  	{
    		      startService(new Intent(this, UpdaterService.class));
    		    } else {			
    		      stopService(new Intent(this, UpdaterService.class));
    		    } */
                if (cPhone.isChecked())
    		  	{
    		      startService(new Intent(this, UpdaterService.class));
    		    } else {			
    		      stopService(new Intent(this, UpdaterService.class));
    		    }       
                /*if (cSMS.isChecked())
    		  	{
    		      startService(new Intent(this, UpdaterService.class));
    		    } else {			
    		      stopService(new Intent(this, UpdaterService.class));
    		    }
                if (cFacebook.isChecked())
    		  	{
    		      startService(new Intent(this, UpdaterService.class));
    		    } else {			
    		      stopService(new Intent(this, UpdaterService.class));
    		    } 
                if (cTwitter.isChecked())
    		  	{
    		      startService(new Intent(this, UpdaterService.class));
    		    } else {			
    		      stopService(new Intent(this, UpdaterService.class));
    		    }
                if (cYouTube.isChecked())
    		  	{
    		      startService(new Intent(this, UpdaterService.class));
    		    } else {			
    		      stopService(new Intent(this, UpdaterService.class));
    		    }
                if (cGeolocation.isChecked())
    		  	{
    		      startService(new Intent(this, UpdaterService.class));
    		    } else {			
    		      stopService(new Intent(this, UpdaterService.class));
    		    }        */      
        }


        
    	/* The onPreferenceClick Method reacts to a User Click by either activating or deactivating services */
        
		public boolean onPreferenceClick(Preference preference) {

            /* Initialize all Services (I've commented all of them for now. As we proceed, we'll uncommented them one by one.) */
            /*if (cContacts.isChecked())
		  	{
		      startService(new Intent(this, UpdaterService.class));
              Toast.makeText(getBaseContext(), "Activating Contacts Mining now!",Toast.LENGTH_LONG).show();                  		
		    } else {			
		      stopService(new Intent(this, UpdaterService.class));
              Toast.makeText(getBaseContext(), "Deactivating Contacts Mining now!",Toast.LENGTH_LONG).show();                  		
		    }
            if (cEmail.isChecked())
		  	{
		      startService(new Intent(this, UpdaterService.class));
              Toast.makeText(getBaseContext(), "Activating Email Mining now!",Toast.LENGTH_LONG).show();                  		
		    } else {			
		      stopService(new Intent(this, UpdaterService.class));
              Toast.makeText(getBaseContext(), "Deactivating Email Mining now!",Toast.LENGTH_LONG).show();                  		
		    } */
            if (cPhone.isChecked())
		  	{
		      startService(new Intent(this, UpdaterService.class));
              Toast.makeText(getBaseContext(), "Activating Phone Mining now!",Toast.LENGTH_LONG).show();                  		
		    } else {			
		      stopService(new Intent(this, UpdaterService.class));
              Toast.makeText(getBaseContext(), "Deactivating Phone Mining now!",Toast.LENGTH_LONG).show();                  		
		    }       
            /*if (cSMS.isChecked())
		  	{
		      startService(new Intent(this, UpdaterService.class));
              Toast.makeText(getBaseContext(), "Activating SMS Mining now!",Toast.LENGTH_LONG).show();                  		
		    } else {			
		      stopService(new Intent(this, UpdaterService.class));
              Toast.makeText(getBaseContext(), "Deactivating SMS Mining now!",Toast.LENGTH_LONG).show();                  		
		    }
            if (cFacebook.isChecked())
		  	{
		      startService(new Intent(this, UpdaterService.class));
              Toast.makeText(getBaseContext(), "Activating Facebook Mining now!",Toast.LENGTH_LONG).show();                  		
		    } else {			
		      stopService(new Intent(this, UpdaterService.class));
              Toast.makeText(getBaseContext(), "Deactivating Facebook Mining now!",Toast.LENGTH_LONG).show();                  		
		    } 
            if (cTwitter.isChecked())
		  	{
		      startService(new Intent(this, UpdaterService.class));
              Toast.makeText(getBaseContext(), "Activating Twitter Mining now!",Toast.LENGTH_LONG).show();                  		
		    } else {			
		      stopService(new Intent(this, UpdaterService.class));
              Toast.makeText(getBaseContext(), "Deactivating Twitter Mining now!",Toast.LENGTH_LONG).show();                  		
		    }
            if (cYouTube.isChecked())
		  	{
		      startService(new Intent(this, UpdaterService.class));
              Toast.makeText(getBaseContext(), "Activating YouTube Mining now!",Toast.LENGTH_LONG).show();                  		
		    } else {			
		      stopService(new Intent(this, UpdaterService.class));
              Toast.makeText(getBaseContext(), "Deactivating YouTube Mining now!",Toast.LENGTH_LONG).show();                  		
		    }
            if (cGeolocation.isChecked())
		  	{
		      startService(new Intent(this, UpdaterService.class));
              Toast.makeText(getBaseContext(), "Activating Geolocation Mining now!",Toast.LENGTH_LONG).show();                  		
		    } else {			
		      stopService(new Intent(this, UpdaterService.class));
              Toast.makeText(getBaseContext(), "Deactivating Geolocation Mining now!",Toast.LENGTH_LONG).show();                  		
		    }        */  
			
			return true;
		}
		
		public boolean getcPhoneValue()	{
			
			if (cPhone.isChecked())
			{
				return true;
			} else {
				return false;
			}
				
		}	

        
}